
;
; project skeleton
; written by ville helin <vhelin@cc.hut.fi> in 2000
; v1.1 (05.06.2000) - Optimized syntax, WLA v4.3+ required.
; v1.2 (23.08.2000) - WLA v6.0+ required, optimized syntax.
; v1.3 (26.08.2000) - Enhanced usability.
;

.INCDIR  "include"
.INCLUDE "gb_memory.i"
.INCLUDE "gb_banks.i"
.INCLUDE "nintendo_logo.i"

;
; project definitions
;

.NAME "TANKBOMBPANIC!"
.RAMSIZE 0
.EMPTYFILL $c9				;ret.
.CARTRIDGETYPE 1
.LICENSEECODEOLD $00
.COMPUTECHECKSUM
.COMPUTECOMPLEMENTCHECK
.ROMGBC

;
; interrupts
; these can be relocated in realtime as they all reside in RAM.
; (vbi jumps to RAM where yet another jump is made from).
; all interrupts cost this way one additional JP, but are very flexible.
;

.ENUM $FF80

IRQ_VBI DS 3
IRQ_LCD DS 3
IRQ_TIM DS 3
IRQ_SER DS 3
IRQ_HTL DS 3

.ENDE



.BANK 0 SLOT 0

.ORG $40				;vbi.
	JP	IRQ_VBI
.ORG $48				;lcd stat.
	JP	IRQ_LCD
.ORG $50				;timer.
	JP	IRQ_TIM
.ORG $58				;serial.
	JP	IRQ_SER
.ORG $60				;high to low.
	JP	IRQ_HTL

;
; standard beginning
;

.ORG $100

	NOP
	JP	MAIN
